Skip to main content
POST
/
api
/
v1
/
client
/
{environmentId}
/
user
Create or Identify User
curl --request POST \
  --url 'http://{{baseurl}}/api/v1/client/{environmentId}/user' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": {
    "plan": "free"
  },
  "userId": "hello-user"
}
'
import requests

url = "http://{{baseurl}}/api/v1/client/{environmentId}/user"

payload = {
"attributes": { "plan": "free" },
"userId": "hello-user"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({attributes: {plan: 'free'}, userId: 'hello-user'})
};

fetch('http://{{baseurl}}/api/v1/client/{environmentId}/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "state": {
      "data": {
        "displays": [
          {
            "createdAt": "2025-02-03T11:23:13.050Z",
            "surveyId": "cm6orqtdd000a19wjhnbces5s"
          }
        ],
        "lastDisplayAt": "2025-02-03T11:23:13.050Z",
        "responses": [
          "cm6orqtdd000a19wjhnbces5s"
        ],
        "segments": [
          "cm6onrezn000hw2ahcokiz41v"
        ],
        "userId": "hello-user"
      },
      "expiresAt": "2025-02-03T11:23:13.050Z"
    }
  }
}
{
"code": "bad_request",
"message": "userId is required"
}
{
"code": "not_found",
"details": {
"resource_id": "f16ttdvtkx85k5m4s561ruqj",
"resource_type": "Environment"
},
"message": "Environment not found"
}
{
"code": "internal_server_error",
"details": {},
"message": "An unexpected error occurred"
}

Path Parameters

environmentId
string
required

Body

application/json

The body is of type object.

Response

OK

data
object